using UnityEngine;
using System.Collections;

public class SetCollidersTriggerScripts : MonoBehaviour 
{
	public bool toState;
	public Collider2D[] colliders;

	void OnTriggerEnter2D(Collider2D trig)
	{
		if (trig.gameObject.layer == Constants.PLAYER_LAYER_ID)
		{
			for (int i = 0; i < colliders.Length; i++)
			{
				colliders[i].isTrigger = toState;
			}
		}
	}
}
